gnutls_malloc(3)

NAME
gnutls_malloc - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void * gnutls_malloc(size_t s);

ARGUMENTS

size_t s
    size to allocate in bytes

DESCRIPTION
This function will allocate 's' bytes data, and return a pointer to memory. This function is supposed to be used by callbacks. The allocation function used is the one set by gnutls_global_set_mem_functions().

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.